clang 10.0.0git

Namespaces | Functions
MoveChecker.cpp File Reference
`#include "clang/AST/Attr.h"`
`#include "clang/AST/ExprCXX.h"`
`#include "clang/Driver/DriverDiagnostic.h"`
`#include "clang/StaticAnalyzer/Checkers/BuiltinCheckerRegistration.h"`
`#include "clang/StaticAnalyzer/Core/BugReporter/BugType.h"`
`#include "clang/StaticAnalyzer/Core/Checker.h"`
`#include "clang/StaticAnalyzer/Core/CheckerManager.h"`
`#include "clang/StaticAnalyzer/Core/PathSensitive/CallEvent.h"`
`#include "clang/StaticAnalyzer/Core/PathSensitive/CheckerContext.h"`
`#include "llvm/ADT/StringSet.h"`
Include dependency graph for MoveChecker.cpp:

Go to the source code of this file.

## Namespaces
| clang
| Dataflow Directional Tag Classes.
| clang::ento
| clang::ento::move

## Functions
bool | clang::ento::move::isMovedFrom (ProgramStateRef State, const MemRegion *Region)
| Returns true if the object is known to have been recently std::moved. More...
static ProgramStateRef | removeFromState (ProgramStateRef State, const MemRegion *Region)
static bool | isAnyBaseRegionReported (ProgramStateRef State, const MemRegion *Region)
static const MemRegion * | unwrapRValueReferenceIndirection (const MemRegion *MR)

## Function Documentation

## ◆ isAnyBaseRegionReported()

static bool isAnyBaseRegionReported | ( | ProgramStateRef | State,
|  | const MemRegion * | Region
| ) |  |
| static

Definition at line 255 of file MoveChecker.cpp.

## ◆ removeFromState()

static ProgramStateRef removeFromState | ( | ProgramStateRef | State,
|  | const MemRegion * | Region
| ) |  |
| static

Definition at line 244 of file MoveChecker.cpp.

References State.

## ◆ unwrapRValueReferenceIndirection()

static const MemRegion* unwrapRValueReferenceIndirection | ( | const MemRegion * | MR | ) |
| static

Definition at line 264 of file MoveChecker.cpp.

References State.